%global modulescope @babel
%global modulename @babel/helpers

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-babel-helpers
Version:        7.1.5
Release:        1%{?dist}
Summary:        Collection of helper functions used by Babel transforms.

License:        MIT
URL:            https://babeljs.io/
Source0:        https://registry.npmjs.org/@babel/helpers/-/helpers-7.1.5.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(@babel/template) >= 7.1.2 with npmlib(@babel/template) < 8.0.0))
BuildRequires:  ((npmlib(@babel/traverse) >= 7.1.5 with npmlib(@babel/traverse) < 8.0.0))
BuildRequires:  ((npmlib(@babel/types) >= 7.1.5 with npmlib(@babel/types) < 8.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Collection of helper functions used by Babel transforms.

%package 7.1.5
Summary:        Collection of helper functions used by Babel transforms.


%description 7.1.5
Collection of helper functions used by Babel transforms.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
mkdir %{buildroot}%{nodejs_dir}/%{modulescope}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}
%dir %{nodejs_dir}/%{modulescope}

%files 7.1.5
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/
%dir %{npmlib_dir}/%{modulescope}

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 7.1.5-1
- Package automatically generated by npm2srpm
